V1.0
get
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/ehrmapping
Returns EHR mapping options that can be assigned to form questions in a study. Use the optional type query parameter to return mappings for a supported question type, and the optional mapping query parameter to narrow the response to a selected EHR category or item.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
mapping: string
Optional EHR category or item code used to return option items and associated question mappings for that selection.Example:
EHRLabs -
type: string
Question type used to find applicable EHR mapping options. Allowed values: text, numeric, datetime, age, label, selectbox, checkbox, radioset.Allowed Values:
[ "text", "numeric", "datetime", "age", "label", "selectbox", "checkbox", "radioset" ]Example:label
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
EHR mappings were returned successfully.
Root Schema : RespEHRItemAdvancedPropDto
Type:
Show Source
object-
clCodeLabel: string
Display label for the code list identified by clCodeName.Example:
EHR-Lab Test -
clCodeName: string
Code list name for option values when the selected EHR mapping uses a code list.Example:
EHRLabTestName -
ehrAssociatedItems: object
ehrAssociatedItems
Additional Properties Allowed: Form Item Advanced Property v18.0Associated EHR items keyed by EHR item code and default question type. Each value describes the mapping item for that associated question.
-
ehrMappingItems: array
ehrMappingItems
EHR categories or items that can be mapped to the requested question type.
-
ehrOptionItems: array
ehrOptionItems
Additional selectable EHR option items for the requested question type and selected mapping.
Nested Schema : ehrAssociatedItems
Type:
objectAdditional Properties Allowed
Show Source
-
object Form Item Advanced Property v18.0
Title:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Associated EHR items keyed by EHR item code and default question type. Each value describes the mapping item for that associated question.
Example:
{
"LabResult_text":{
"id":"1C0B91E62E06456FA33C8AA2E9AC19F0",
"type":"EHRMapping",
"name":"EHRLabsAttributes",
"value":"LabResult",
"label":"Lab Result"
}
}Nested Schema : ehrMappingItems
Type:
arrayEHR categories or items that can be mapped to the requested question type.
Show Source
-
Array of:
object Form Item Advanced Property v18.0
Title:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Example:
[
{
"id":"6B8082BFD1E9486BA57E8BE7E1C2251B",
"type":"EHRMapping",
"name":"EHRCategories",
"value":"EHRLabs",
"label":"Labs"
}
]Nested Schema : ehrOptionItems
Type:
arrayAdditional selectable EHR option items for the requested question type and selected mapping.
Show Source
-
Array of:
object Form Item Advanced Property v18.0
Title:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Example:
[
{
"id":"7A4D3C2B1E8F4D56A23C9F3A0C7D4E22",
"type":"EHRMapping",
"name":"EHRLabsAttributes",
"value":"LabTestName",
"label":"Lab Test Name"
}
]Nested Schema : Form Item Advanced Property v18.0
Type:
objectTitle:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Show Source
-
id: string
(uuid)
Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
-
label: string
Display label for the EHR mapping item.Example:
Lab Result -
name: string
Minimum Length:
1Maximum Length:255EHR code list or attribute group name.Example:EHRLabsAttributes -
rules: array
rules
-
type: string
Minimum Length:
1Maximum Length:30Advanced property type. EHR mapping responses use EHRMapping.Example:EHRMapping -
value: string
Minimum Length:
1Maximum Length:2048EHR category, item, or option code represented by this mapping item.Example:LabResult
Example:
{
"id":"7A4D3C2B1E8F4D56A23C9F3A0C7D4E22",
"type":"EHRMapping",
"name":"EHRLabsAttributes",
"value":"LabResult",
"label":"Lab Result"
}Nested Schema : rules
Type:
Show Source
array-
Array of:
object Form Item Advanced Property Rule v18.0
Title:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Nested Schema : Form Item Advanced Property Rule v18.0
Type:
objectTitle:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Show Source
-
label: string
Display label for the rule value.Example:
Yes -
name: string
Rule name.Example:
Answer -
value: string
Rule value. When the value is an ID, it is a UUID, 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"Answer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples